> For the complete documentation index, see [llms.txt](https://docs.shiftctrl.money/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shiftctrl.money/developer/tab-protocol-smart-contract/auction.md).

# Auction

## AuctionManager contract

Vault Liquidation is performed using a variant of the Dutch auction. \
Commencing at a higher price point, the auction progressively lowers the price until adequate reserves are sold to cover all outstanding Tabs or until the price reaches its minimum threshold.&#x20;

All submitted bids must be in same Tab currency as the vault undergoing liquidation.

Refer to `Config` contract that stored auction settings:

`auctionStartPriceDiscount = 90` \
`(10% discount is applied to market price when auction is started)`

\
`auctionStepPriceDiscount = 97` \
`(3% discount is applied whenever auction proceeds to next round)`\
\
`auctionStepDurationInSec = 60` \
`(60 seconds of each auction round)`\
\
`maxStep = 9`\
`(maximum of 9 auction rounds)`

### bid function

The auction is open to all participants.

Bidders use Tabs to bid on discounted BTC reserves.

{% hint style="info" %}
**Note:** A sufficient balance of Tabs and allowance amount is required to place a bid. \
Ensure that you call the `approve` function on the Tab token to grant the AuctionManager contract the necessary spending permissions.
{% endhint %}

After the auction concludes, any excess or leftover reserves are returned to the user's vault. \
The vault owner can then use the `withdrawReserve` function to reclaim these excess reserves.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.shiftctrl.money/developer/tab-protocol-smart-contract/auction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
